Subject: Re: sctp_peeloff()

From: Michael Tuexen <[email-masked]>
Date: Wed, 10 Dec 2003 22:03:06 +0100

Kacheong,

see my comments below.

Best regards
Michael

On Dec 10, 2003, at 4:33 PM, Kacheong Poon wrote:

> Andreas Jungmaier wrote:
>
>> in cases where there is only an outgoing stream, but no incoming 
>> stream, applications can only send, not receive
>> on a "stream-socket".
>> In the opposite case, an application could only receive,
>> but not send.
>
> Can you elaborate on the above?  I don't quite get the issue.
> If there is only one stream, I guess an app will not do
> a sctp_peeloff().  A stream-socket is still bi-directional.

> The only difference is that it is a socket which only
> deals with one stream of an association.  The original socket
> deals with all the other streams of an association except
> those which have been sctp_peeloff().
>
So I assume that the fds will be used by different processing
entities (processes / threads). What do you gain? How do you
handle the receiver window problem? We do not have per stream
flow control.
>> I don't know if that's a problem, since that can happen
>> as well with some streams within an SCTP association.
>> However, I don't really like this idea.
>
> -- 
>
> 						K. Poon.
> 						[email-masked]
>
>